Bug 238206 - INcorrect resolution/refresh rate dection for Samsung 940n
INcorrect resolution/refresh rate dection for Samsung 940n
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 18:37 EDT by Dawid Zamirski
Modified: 2009-02-19 10:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 10:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the Xorg.log from FC7T4 live CD when the screen is displaying only unreadable noise (51.71 KB, text/plain)
2007-04-27 18:37 EDT, Dawid Zamirski
no flags Details
This is the Xorg.log from FC6 using the binary 'nvidia' driver. (23.05 KB, text/plain)
2007-04-27 18:40 EDT, Dawid Zamirski
no flags Details
Xorg log with xorg.conf removed. (56.78 KB, text/plain)
2007-10-24 01:48 EDT, Dawid Zamirski
no flags Details

  None (edit)
Description Dawid Zamirski 2007-04-27 18:37:31 EDT
Description of problem:
I have a Samsung 940n LCD monitor on my secodary machine and when the xorg
launches (gdb) there's just unreadable noise-like grabage on the screen. I was
testing FC7T4 from live CD (x86_64), but same happens on FC6 i386. When I
installed the binary driver from livna on FC6 the screen is displayed properly.
Below is  the smolt hardware profile of the machie when running FC6 with
'nvidia' driver:
http://smolt.fedoraproject.org/show?UUID=a21aceb1-412f-4772-9c89-8f6db1d14426

I'm also attaching Xorg.log from the live CD that causes the 'garbage' screen
and another Xorg.log from FC6 with working 'nvidia' driver.
Comment 1 Dawid Zamirski 2007-04-27 18:37:32 EDT
Created attachment 153669 [details]
This is the Xorg.log from FC7T4 live CD when the screen is displaying only unreadable noise
Comment 2 Dawid Zamirski 2007-04-27 18:40:34 EDT
Created attachment 153671 [details]
This is the Xorg.log from FC6 using the binary 'nvidia' driver.

Note that using 'nv' driver in FC6 results in he same problem as in the F7T4
live CD.
Comment 3 Matěj Cepl 2007-09-11 20:34:35 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 4 Dawid Zamirski 2007-09-12 14:38:08 EDT
Yes, the issue still exists in up-to-date Fedora 7 instalation. I'll also test
with rawhide livecd later today to see if it's fixed there. Pressing CTRL +/-
(to change the resolution) a few times allows me to see the screen but it still
appears to have wrong timings as the image is distorted (shifted to one of the
sides) and cannot be corrected with monitor controls. As mentioned earlier, it
works well wiht Nvidia's binary driver.
Comment 5 Dawid Zamirski 2007-10-10 03:46:47 EDT
The problem also exists on current rawhide. Similar issue occurs when the faulty
PC is connected to a different monitor (Samsung SyncMaster 214T - analog
connection) as the screen is distorted. It looks like that the nv driver sets
improper refresh rates (the resolutions it selects are ok: 1280x1024 and
1600x1200 respectively). My other two systems (also with nvidia graphics) work
properly so the issue seems to be specific to this particular chipset: GeForce
6100 nForce 430
Comment 6 Matěj Cepl 2007-10-11 18:20:10 EDT
Just for the sake of completness, could you attach /var/log/Xorg.0.log from
Rawhide experiment?

Also, are you sure, that you have cleaned up remnaints of binary driver properly
(see http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers for more details)?

It is probably hopeless, but if you try with Rawhide, try to move
/etc/X11/xorg.conf and try to start without any. What happens?
Comment 7 Dawid Zamirski 2007-10-24 01:48:16 EDT
Created attachment 235951 [details]
Xorg log with xorg.conf removed.

I'm sure that it isn't caused by any leftovers after binary drivers because the
same problem exists when running from LiveDVD image. Erasing the xorg.conf file
also ends up with the same result. The screen's resolution and vertical refresh
rate seems to be set correctly by the driver (1600x1200 @ 60Hz	- for Samsung
SyncMaster 214T) but the screen is still garbled. 

The connection with the monitor(s) is analog and the display problems also
appear on Samsung 940n, as I described in my initial report, but the screen is
completely unreadable. On 214T it has some "noise" (a sripe about 1.5 inch
high) on the bottom of the screen and it's way off center. Selecting any other
resolutions from System => Hardware => Screen Resolution makes it a little bit
better but still has some distortions nearby the edges.
Comment 8 Dawid Zamirski 2007-10-24 01:59:42 EDT
The same issue also seems to be affecting the NOVEAU driver.
Comment 9 Bug Zapper 2008-04-03 20:20:01 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-13 22:49:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Dawid Zamirski 2009-02-17 20:32:16 EST
Hello

The issue seems to be gone with latest nouveau driver (for tested both PC's and monitors). The "nv" driver is still having this issue though, but it's irrelevant for me, and I feel that this bug can be closed. I'll keep it open for now as the bug report was originally opened against "nv" and it's still the default one in Xorg. If you think otherwise, feel free to close it.

Regards,
   Dawid
Comment 12 Matěj Cepl 2009-02-18 19:03:30 EST
Yes, you are right -- nouveau is not an officially supported driver yet. However, I will leave the last word to the developer -- if you are using nouveau now (and I am really really glad it does work for you -- number of people for whom nouveau works better than nv seems to be slowly but surely rising)
Comment 13 Matěj Cepl 2009-02-19 04:10:24 EST
(In reply to comment #12)
> Yes, you are right -- nouveau is not an officially supported driver yet.
> However, I will leave the last word to the developer -- if you are using
> nouveau now (and I am really really glad it does work for you -- number of
> people for whom nouveau works better than nv seems to be slowly but surely
> rising)

... I am sorry, my firefox crashed and I don't know what I wanted to write here ;-). To make it short, Ben, what to do with this bug?
Comment 14 Ben Skeggs 2009-02-19 04:20:10 EST
I'm not sure of the exact procedure in this case, but nouveau is default in rawhide so perhaps CLOSED,RAWHIDE ?

Note You need to log in before you can comment on or make changes to this bug.